#ifndef unistd_h
#define unistd_h
#if defined(__cplusplus) || defined(__USE_FIXED_PROTOTYPES__)
extern void _exit (int);
extern int access (const char *, int);
extern unsigned int alarm (unsigned int);
extern int chdir (const char *);
extern int chown (const char *, unsigned short , unsigned short );
extern int close (int);
extern char * ctermid (char *);
extern char * cuserid (char *);
extern int dup (int);
extern int dup2 (int, int);
extern int execl (const char *, const char *, ...);
extern int execle (const char *, const char *, ...);
extern int execlp (const char *, const char *, ...);
extern int execv (const char *, char *const *);
extern int execve (const char *, char *const *, char *const *);
extern int execvp (const char *, char *const *);
extern int fork (void);
extern long int fpathconf (int, int);
extern char * getcwd (char *, __SIZE_TYPE__ );
extern unsigned short getegid (void);
extern unsigned short geteuid (void);
extern unsigned short getgid (void);
extern char * getlogin (void);
extern int getopt (int, char *const *, const char *);
extern int getpgrp (void);
extern int getpid (void);
extern int getppid (void);
extern unsigned short getuid (void);
extern int isatty (int);
extern int link (const char *, const char *);
extern long lseek (int, long , int);
extern long int pathconf (const char *, int);
extern int pause (void);
extern int pipe (int *);
extern int read (int, void *, __SIZE_TYPE__ );
extern int rmdir (const char *);
extern int setgid (unsigned short );
extern int setpgid (int , int );
extern int setsid (void);
extern int setuid (unsigned short );
extern unsigned int sleep (unsigned int);
extern long int sysconf (int);
extern int tcgetpgrp (int);
extern int tcsetpgrp (int, int );
extern char * ttyname (int);
extern int unlink (const char *);
extern int write (int, const void *, __SIZE_TYPE__ );
#endif /* defined(__cplusplus) || defined(__USE_FIXED_PROTOTYPES__*/
#endif
